import type { JSX } from '../../stencil-public-runtime';
import type { ShowPropType, SpinAPI, SpinStates, SpinVariantPropType } from '../../schema';
export declare class KolSpin implements SpinAPI {
    private showToggled;
    render(): JSX.Element;
    _show?: boolean;
    _variant?: SpinVariantPropType;
    state: SpinStates;
    validateShow(value?: ShowPropType): void;
    validateVariant(value?: SpinVariantPropType): void;
    componentWillLoad(): void;
}
